#ifndef FRAME_API__CREATE_RDS_HH
#define FRAME_API__CREATE_RDS_HH

#include "general/types.hh"
#include "rdsframe.hh"
#include "Frame.hh"

namespace FrameAPI
{
  typedef ::RDSFrame::channel_container_type channel_container_type;
  typedef ::RDSFrame::frame_file_container_type frame_file_container_type;
  typedef INT_4U start_type;
  typedef INT_4U end_type;

  Frame createRDS( frame_file_container_type FrameFiles,
		   start_type Start,
		   end_type End,
		   channel_container_type Channels );
  
}

#endif /* FRAME_API__CREATE_RDS_HH */
