#=========================================================================
# Rules for building the tcl index file
#=========================================================================
createPkgIndex: $(ldas_top_srcdir)/build/make-macros/tcl.mk
	echo '#!/bin/sh' > $@
	echo '# the next line restarts using tclsh'\\ >> $@
	echo 'exec tclsh "$$0" "$$@"' >> $@
	echo '#------------------------------------------------------------------------' >> $@
	echo '# This creates the pkgIndex file needed by tcl scripts' >> $@
	echo '#------------------------------------------------------------------------' >> $@
	echo 'eval pkg_mkIndex $$argv' >> $@
	chmod 0755 $@

#=========================================================================
# Rules needed when building TCL extensions
#=========================================================================

%_tcl_wrap.cc: %.swig Makefile $(%_SWIG_INCLUDES)
	$(AM_V_GEN)$(SWIG) $(SWIGFLAGS) \
		$(TCL_INCLUDE_SPEC) -I$(srcdir) \
		-I$(ldas_top_srcdir)/build/swig \
		-I$(ldas_top_builddir)/include $(AM_CPPFLAGS) \
		-tcl8 -c++ -o $*_tcl_wrap.cc $*.swig
